# Bot Taunt Randomizer

Patches the game's taunt handling so bots are able to use taunt items.

This is a cleaner patch compared to the one that was originally in [Bot Weapon Randomizer][].

[Bot Weapon Randomizer]: https://git.csrd.science/nosoop/CSRD-BotWeaponRandomizer

The plugin does a few things:

* The taunt command handler is pre-hooked and the plugin forces a non-zero taunt slot on bots
(equivalent to running `taunt (1...8)`) when no partner is nearby.  This will always result in
a call to `CTFPlayer::PlayTauntSceneFromItem()`.  Normal taunts (e.g. `taunt 0`) will always
use the weapon taunt.
* `CTFPlayer::PlayTauntSceneFromItem()` is pre-hooked for a null check; if a null pointer was
passed in then the plugin will create a taunt item and set the argument to that instead.

## Dependencies

* [stocksoup](https://github.com/nosoop/stocksoup)
* [TF2 Item DB](https://github.com/nosoop/tf2idb) (personal fork)
* [DynHooks](https://forums.alliedmods.net/showpost.php?p=2588686&postcount=589)

## A "CSRD Internal" Plugin

This is a plugin mainly intended for use in [Pikachu's Canadian Server of Romance and
Drama][csrd].

While I'm happy if you find some useful code for your own plugins, I can't provide any support
for said code, nor will I offer any guarantees that the plugin will remain usable outside of its
main use.

[csrd]: https://csrd.science/
